Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class s2iConfigureNodes

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--java.awt.Window
                        |
                        +--java.awt.Dialog
                              |
                              +--javax.swing.JDialog
                                    |
                                    +--s2iConfigureNodes

public class s2iConfigureNodes
extends javax.swing.JDialog
implements s2iDBOpenListener

A dialog that allows the user to configure the top-level subckt terminals that are unconnected, to connect each one to the proper test fixture.

Author:
  Anish Malhotra, Cadence Design Systems
See Also:
  Serialized Form

Inner Class Summary
`(package private) class` | `s2iConfigureNodes.SymAction`
`(package private) class` | `s2iConfigureNodes.SymWindow`

Inner classes inherited from class javax.swing.JDialog
`javax.swing.JDialog.AccessibleJDialog`

Inner classes inherited from class java.awt.Component
`java.awt.Component.AWTTreeLock`

Field Summary
`(package private) s2iConfigTableModel` | `conTableModel`
`(package private) boolean` | `fComponentsAdjusted` Used for addNotify check.
`(package private) javax.swing.JButton` | `jCancel`
`(package private) javax.swing.JTable` | `jConfigTable`
`(package private) javax.swing.JButton` | `jOK`
`(package private) javax.swing.JPanel` | `jPanel1`
`(package private) javax.swing.JScrollPane` | `jScrollPane1`
`(package private) java.util.Enumeration` | `nets`

Fields inherited from class javax.swing.JDialog
`accessibleContext, defaultCloseOperation, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Dialog
`base, modal, nameCounter, resizable, serialVersionUID, title`

Fields inherited from class java.awt.Window
`active, base, focusMgr, inputContext, nameCounter, OPENED, ownedWindowList, serialVersionUID, state, warningString, weakThis, windowListener, windowSerializedDataVersion`

Fields inherited from class java.awt.Container
`component, containerListener, containerSerializedDataVersion, dispatcher, layoutMgr, maxSize, ncomponents, serialVersionUID`

Fields inherited from class java.awt.Component
`actionListenerK, adjustmentListenerK, appContext, assert, background, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, changeSupport, componentListener, componentListenerK, componentOrientation, componentSerializedDataVersion, containerListenerK, cursor, dropTarget, enabled, eventMask, focusListener, focusListenerK, font, foreground, hasFocus, height, incRate, inputMethodListener, inputMethodListenerK, isInc, isPacked, itemListenerK, keyListener, keyListenerK, LEFT_ALIGNMENT, locale, LOCK, minSize, mouseListener, mouseListenerK, mouseMotionListener, mouseMotionListenerK, name, nameExplicitlySet, newEventsOnly, ownedWindowK, parent, peer, peerFont, popups, prefSize, RIGHT_ALIGNMENT, serialVersionUID, textListenerK, TOP_ALIGNMENT, valid, visible, width, windowListenerK, x, y`

Constructor Summary
`s2iConfigureNodes()` Default constructor.
`s2iConfigureNodes(java.util.Enumeration nodes)` Constructor with window node preloading.
`s2iConfigureNodes(java.lang.String sTitle)` Constructor with window title setting.

Method Summary
`void` | `addNotify()` Call the superclass addNotify(), then readjust the layout.
`javax.swing.JTable` | `getConfigTable()` Main routine for testing.
`void` | `getDB()` Clear the table data and reload from the project data.
`(package private) void` | `jCancel_actionPerformed(java.awt.event.ActionEvent event)` Handle OK button clicks.
`(package private) void` | `JDialog1_WindowClosing(java.awt.event.WindowEvent event)` Handle window closing.
`(package private) void` | `jOK_actionPerformed(java.awt.event.ActionEvent event)` Handle OK button clicks.
`static void` | `main(java.lang.String[] args)` Main routine for testing.
`void` | `setVisible(boolean b)` Set window visibility.

Methods inherited from class javax.swing.JDialog
`addImpl, createRootPane, createRootPaneException, dialogInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isRootPaneCheckingEnabled, paramString, processWindowEvent, setContentPane, setDefaultCloseOperation, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setLocationRelativeTo, setRootPane, setRootPaneCheckingEnabled, update`

Methods inherited from class java.awt.Dialog
`, constructComponentName, getTitle, initIDs, isModal, isResizable, setModal, setResizable, setTitle, show`

Methods inherited from class java.awt.Window
`addOwnedWindow, addWindowListener, applyResourceBundle, applyResourceBundle, connectOwnedWindow, dispatchEventImpl, dispose, eventEnabled, finalize, getFocusOwner, getInputContext, getLocale, getOwnedWindows, getOwner, getToolkit, getWarningString, isActive, isShowing, nextFocus, ownedInit, pack, postEvent, postProcessKeyEvent, postWindowEvent, preProcessKeyEvent, processEvent, readObject, removeOwnedWindow, removeWindowListener, setFocusOwner, setWarningString, toBack, toFront, transferFocus, writeObject`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyOrientation, countComponents, deliverEvent, dispatchEventToSelf, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents_NoClientCode, getComponents, getInsets, getLayout, getMaximumSize, getMinimumSize, getMouseEventTarget, getPreferredSize, getWindow, insets, invalidate, invalidateTree, isAncestorOf, layout, lightweightPrint, list, list, locate, minimumSize, paint, paintComponents, postsOldMouseEvents, preferredSize, print, printComponents, printOneComponent, processContainerEvent, proxyEnableEvents, proxyRequestFocus, remove, remove, removeAll, removeContainerListener, removeNotify, setFont, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, areInputMethodsEnabled, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont_NoClientCode, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputMethodRequests, getLocation, getLocation, getLocationOnScreen, getName, getNativeContainer, getParent_NoClientCode, getParent, getPeer, getSize, getSize, getToolkitImpl, getTreeLock, getWidth, getWindowForObject, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isDisplayable, isDoubleBuffered, isEnabled, isEnabledImpl, isFocusTraversable, isLightweight, isOpaque, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, remove, removeComponentListener, removeFocusListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Field Detail

### fComponentsAdjusted

    boolean fComponentsAdjusted

  Used for addNotify check.

### jScrollPane1

    javax.swing.JScrollPane jScrollPane1

### jConfigTable

    javax.swing.JTable jConfigTable

### jPanel1

    javax.swing.JPanel jPanel1

### jOK

    javax.swing.JButton jOK

### jCancel

    javax.swing.JButton jCancel

### conTableModel

    s2iConfigTableModel conTableModel

### nets

    java.util.Enumeration nets

Constructor Detail

### s2iConfigureNodes

    public s2iConfigureNodes()

  Default constructor.

### s2iConfigureNodes

    public s2iConfigureNodes(java.lang.String sTitle)

  Constructor with window title setting.
  Parameters:
    `sTitle` - The window title String.

### s2iConfigureNodes

    public s2iConfigureNodes(java.util.Enumeration nodes)

  Constructor with window node preloading.
  Parameters:
    `nodes` - The subckt nodes to show in the table.

Method Detail

### setVisible

    public void setVisible(boolean b)

  Set window visibility. This also relocates the window and takes care of data synchronization.
  Parameters:
    `b` - true to make the window visible.
  Overrides:
    setVisible in class java.awt.Component

### main

    public static void main(java.lang.String[] args)

  Main routine for testing.
  Parameters:
    `arg` - unused

### addNotify

    public void addNotify()

  Call the superclass addNotify(), then readjust the layout.
  Overrides:
    addNotify in class java.awt.Dialog

### JDialog1_WindowClosing

    void JDialog1_WindowClosing(java.awt.event.WindowEvent event)

  Handle window closing.
  Parameters:
    `event` - unused

### getConfigTable

    public javax.swing.JTable getConfigTable()

  Main routine for testing.
  Returns:
    The JTable object.

### jOK_actionPerformed

    void jOK_actionPerformed(java.awt.event.ActionEvent event)

  Handle OK button clicks. The table data is saved and the window closed.
  Parameters:
    `event` - unused

### jCancel_actionPerformed

    void jCancel_actionPerformed(java.awt.event.ActionEvent event)

  Handle OK button clicks. The table data is restored and the window closed.
  Parameters:
    `event` - unused

### getDB

    public void getDB()

  Clear the table data and reload from the project data.
  Specified by:
    getDB in interface s2iDBOpenListener
  See Also:
    `s2iConfigTableModel`

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD